%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = GetClassificationResults(obj)

%runs the algorithm
obj = obj.algo(obj);

%overall accuracy
obj.acc = mean(obj.testlabels==obj.predIdx(obj.numTrain+1:end))*100;

%average precision with confusion matrix
obj.conf = getConfusionMatrix(obj.predIdx, ...
    obj.labels([obj.traininds;obj.testinds]));
prec = bsxfun(@rdivide, obj.conf, sum(obj.conf+eps,2));
obj.avgprec = sum(diag(prec))./sum(sum(prec))*100;
