%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = SVM(obj)
%
% run libSVM with rbf kernel
%

setting = '-t 2 -c 100 -g 100';

model = svmtrain(obj.trainlabels, obj.data(obj.traininds,:), setting);
[obj.predIdx acc dec] = svmpredict([obj.trainlabels;obj.testlabels], ...
    obj.data([obj.traininds;obj.testinds],:), model);

%transform 1-vs-1 decision values into the final prediction matrix
for n=1:obj.numData
    temp = squareform(dec(n,:));
    temp = temp-2*tril(temp)';
    temp(temp<0) = 0;
    obj.scores(n,:) = sum(temp);
end