%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function runRALF
%
% demo to run RALF similar to the experiments in our paper
%

%change dataset: eth80 or cpascal
obj.dataset = 'eth80';

% different sampling criteria
criteria = {'MarginBasedInf', 'GraphDensityBasedRep', 'EntropyBasedInf', ...
    'KernelFarthestRep', 'NodePotentialRep'};
obj.criteria = criteria(1:3);

% different trade-offs
obj.tradeoffs = [0.25 0.5 0.75];

% feedback measure: 1) change between previous and current hypothesis Y
% [Osugi2005], 2) overall entropy of the class posterior
feedback = {'HypothesisChange', 'Entropy'};
obj.feedbackMeasure = str2func(feedback{2});

RALF(obj);