%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = Entropy(obj)

%Entropy transforms the predictions scores into probability and computes
%the entropy over all classes and sums up these values

temp = obj.scores;
temp = temp-min(min(temp))+eps; %
temp = bsxfun(@rdivide, temp, sum(temp,2));
obj.feedback = sum(sum(temp.*log(temp),2));

