%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = HypothesisChange(obj)

% calculates the angle between the previous hypothesis prevScores to the
% current hypothesis scores

n1 = sqrt(sum(obj.prevScores.*obj.prevScores));
n2 = sqrt(sum(obj.scores.*obj.scores));
obj.feedback = mean(diag(obj.prevScores'*obj.scores)./(n1.*n2)');


