function obj = updateQTable(obj)
%
% update Q table given the current feedback
%

it = length(obj.traininds);
if it>obj.numClasses
    % get feedback (entropy/hypothesis change)
    obj = obj.feedbackMeasure(obj);
    
    % scale feedback value into [-1,1]
    obj.feedbackSeq(it+1-obj.numClasses) = obj.feedback;
    obj.feedback = (obj.feedback-min(obj.feedbackSeq))*2/...
        (max(obj.feedbackSeq)-...
        min(obj.feedbackSeq))-1;
    
    % update current state based on the previous transition s^(t-1) -> a^(t-1)
    % -> s^(t)
    obj.Q(obj.stateSeq(it-1),obj.actionSeq(it-1)) = (1-obj.Qalpha)*...
        obj.Q(obj.stateSeq(it-1),obj.actionSeq(it-1)) + ...
        obj.Qalpha*(obj.feedback + obj.Qgamma*...
        max(obj.Q(obj.stateSeq(it),:)));
end

obj.prevScores = obj.scores;