%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = EntropyBased(obj)

%Entropy transforms the predictions scores into probability and computes
%the entropy over all classes for each sample -> finally the sample that is
%either not classified at all (zeros entries) or has the most confusion
%over all class is selected

%scores are pre-sorted by the classification algorithm thus training data
%followed by test data

temp = obj.scores(obj.numTrain+1:end,:);
temp = temp-min(min(temp))+eps; %
temp = bsxfun(@rdivide, temp, sum(temp,2));
obj.exploitVal = sum(temp.*log(temp),2);

