%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

function obj = MarginBased(obj)

%computes the difference between best and second best prediction to select
%samples that have the most confusion between two classes
%scores are pre-sorted by the classification algorithm to training data
%followed by test data
scores = obj.scores(obj.numTrain+1:end,:);
[sortval sortidx] = sort(scores,2, 'descend');

obj.exploitVal = sortval(:,1)-sortval(:,2);
