%**********************************************************
% RALF - Reinforced Active Learning Formulation
%**********************************************************
% S. Ebert, M. Fritz, B. Schiele
% RALF: A Reinforced Active Learning Formulation for Object Class
% Recognition, CVPR 2012
%
% The authors and copyright holders are S. Ebert, M. Fritz, and B. Schiele.
% You might redistribute, reuse, and mofidy this code for research 
% purposes. Any commercial application needs a written agreement by one of
% the authors.

%% recalculates scores and parameter for active learning 
%time-varying trade-off function
if ~isfield(obj, 'betaFun')
    obj.betaFun = 'log(x)';
end
%calculates the beta values for a time-varying trade-off between
%exploration and exploitation; default: log(x) scaled into [0,1]
GetBetaValues;

%% exploration criteria are pre-computed
% 1) node potential 
%recalculates node potential
obj.nodePotential = sum(exp(-obj.np_Alpha*obj.kernel.^2),2);

% 3) normalized graph density: sum of edges divided by number of edges
obj.graphDensity = full(sum(obj.Graph,2)./sum(obj.Graph>0,2));
