function FeedbackDriven(obj)

tic;
obj.experiment = mfilename;
maxRun=5;
InitCVPR2012;
saveflag = false;
origLabels = labels;
origKernel = obj.kernel;
%numtrain = 40;
epsi = 0;
savefile = obj.savefile;
lambda = 0.5;

method = 3;
newpage = false;
labeling = str2func(methods{method});
alphas = {' random ', '$\alpha=0.5$'};

for inf = {'MarginBased', 'EntropyBased'}
    for rep = {'NodePotential', 'KernelFarthest', 'InformationDensity', 'GraphDensitySup'}
        line = 'iter';
        InitCVPR2012;
        %numtrain = 40;
        obj.explore = char(rep);
        obj.exploit = char(inf);
        clear betas;
        obj.savefile = [savefile(1:end-4) '_' char(inf) '_' char(rep) '.mat'];
        dlmwrite(obj.texfile, ['{\large{\textbf{' char(inf) '+' char(rep) '}}}'], ...
            '-append', 'delimiter', '');
        dlmwrite(obj.texfile, ' ', '-append', 'delimiter', '');
        for iter=1:length(alphas)
            text = char(alphas{iter});
            line = [line '& ' char(alphas{iter})];
            
            for run =1:maxRun
                prob = 0.5;
                samplingFile = [obj.descpath 'trainIdx/StartAL_run_' num2str(run) '.mat'];
                obj.run = run;
                traininds = [];
                it = obj.numClasses;
                fprintf('\nrun %d:\n', run);
                
                while length(traininds) < numtrain
                    
                    if it>obj.numClasses
                        betas(it-obj.numClasses) = 1-prob;
                    end
                    obj.labels = labels;
                    labeling();
                    trainSize(it) = length(traininds);
                    assignVariables;
                    
                    [results obj] = GetClassificationResults(obj);
                    if it>obj.numClasses
                        n1 = sqrt(sum(prevScores.*prevScores));
                        n2 = sqrt(sum(obj.scores.*obj.scores));
                        d = diag(prevScores'*obj.scores)./(n1.*n2)';
                    end
                    prevScores = obj.scores;
                    postProcess;
                    final.risk(it,iter,run) = obj.err;
                    if it > obj.numClasses
                        %errDiff = final.risk(it-1,iter,run)-final.risk(it,iter,run);
                        errDiff = mean(3-4*d);
                        final.riskDiff(it,iter,run) = errDiff;
                        final.prob(it,iter,run) = errDiff;
                        %fprintf('%2.2f diff, %2.2f error\n', mean(d), errDiff);
                        if iter==1
                            prob = rand;
                        else
                            
                            if it>obj.numClasses
                                prob = max(min(lambda *prob*exp(...
                                    final.prob(it,iter,run)),1-epsi),epsi);
                            end
                        end
                    end
                    it = it + 1;
                end
                
                xx = obj.numClasses:numtrain;
                xx = (xx-min(xx))*(100-1)/(max(xx)-min(xx))+1;
                final.auc(iter, run) = trapz(xx, ...
                    mean(final.acc(obj.numClasses:numtrain,iter,run),3)/100);
                final.aucAP(iter, run) = trapz(xx, ...
                    mean(final.ap(obj.numClasses:numtrain,iter,run),3)/100);
            end
            legende{iter} = [text(2:end-1) ' (AUC=' num2str(mean(final.auc(iter,:),2), '%2.2f') ')'];
            legende2{iter} = [text(2:end-1) ' (AUC=' num2str(mean(final.aucAP(iter,:),2), '%2.2f') ')'];
            plotData;
            iter = iter+1;
            
        end
        
        saveData;
    end
end